Skip to navigation

List organizations

Returns all organizations that the caller has permission to view. The following roles have view permission:

  • tenant admins
  • members of the organization

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

namestringOptional
Name of an organization. Restricts results to those with the specified name.
nameIncludesstringOptional
Name substring of an organization. Restricts results to those with names that include the provided substring.
names.anyOfstringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.

names.anyOf.caseSensitivestringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.

modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

hasMembersstringOptional

Comma-separated list of user or Benchling app IDs. Restricts results to organizations that include all the given users/apps as members.

hasAdminsstringOptional

Comma-separated list of user or Benchling app IDs. Restricts results to organizations that include all the given users/apps as admins.

pageSizeintegerOptional0-100Defaults to 50
nextTokenstringOptional
Token for pagination
sortenumOptionalDefaults to modifiedAt:desc

Sets the sort-order of the response. Valid sorts are modifiedAt (modified time, most recent first) and name (organization name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.

Response

OK
nextTokenstringOptional
organizationslist of objectsOptional

Errors

400
Bad Request Error